# Uses of Interface
org.bukkit.entity.Villager

Packages that use Villager
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Villager in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type Villager
Modifier and Type
Method
Description
`@Nullable InventoryView`
HumanEntity.`openMerchant(@NotNull Villager trader, boolean force)`
Starts a trade between the player and the villager.

## Uses of Villager in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Villager
Modifier and Type
Method
Description
`@NotNull Villager`
VillagerCareerChangeEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Villager
Modifier
Constructor
Description
``
`VillagerCareerChangeEvent(@NotNull Villager what, @NotNull Villager.Profession profession, @NotNull VillagerCareerChangeEvent.ChangeReason reason)`